All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish
Interface ChannelTransportInterface

All Superinterfaces:
  TransportInterface

    public interface ChannelTransportInterface

extends TransportInterface

The ChannelTransportInterface provides a mechanism for publishing a result package to a channel. A channel is a topic or identifier that acts as a conduit for related information. The channel carries the information from the publisher who created it, to the subscribers who want it. The package will be published to each subscriber of the channel. The delivery transport used to publish the package, will be determined by the subscriber's metadata.

The channel and subscriber metadata is configured in a SAS Metadata Repository. The Publish Framework Plugin within the SAS Management Console can be used to configure channels and subscribers in a SAS Metadata Repository.

A channel can be defined to have a default archive path or a default WebDAV server. The default content location is identified by specifying a default transport for the channel. If no default transport is defined, the result package will not be published to any default content location and will only be published to all subscribers of the channel. If the default transport is defined as webdav, the package will first be published to the default WebDAV server, and then it will be published to all subscribers of the channel. If the default transport is defined as archive, the package will first be published to the default archive path location as an archive (.spk), and then the package will be published to all subscribers of the channel. Additionally, metadata describing the archive file is defined on the archive path so that users can see what archive packages have been published to that channel.

As previously mentioned, a publish channel can be defined with an archive or a WebDAV persistent store. When the package is published, it is persisted to this store location and it is then published to all subscribers of the channel. A utility has been provided to help in cleaning up the channel. The persisted metadata and the persisted packages can be deleted using the Package Cleanup Utility. This utility is a Java class that provides a simple, command line interface for deleting packages from a publish channel based on the expiration date of the package. This utility supports the deletion of packages from either type of persistent store.

Since:
  1.0
See Also:
  `TransportFactory`

Method Summary
`ChannelInterface` | `getChannel()` Returns the channel.
`ResultPackageInterface` | `getResultPackage()` This method is not supported by the channel transport and unconditionally throws the UnsupportedOperationException listed below.
`void` | `setChannel(ChannelInterface channel)` Set the channel.

Methods inherited from interface com.sas.services.publish.TransportInterface
`getLogger, getSessionContext, publishResultPackage, setLogger`

Method Detail

### setChannel

    void setChannel(ChannelInterface channel)

  Set the channel. This identifies the channel that will be used to publish the result package.

  Parameters:
    `channel` - The channel.

### getChannel

    ChannelInterface getChannel()

  Returns the channel.

  Returns:
    `ChannelInterface` The channel.

### getResultPackage

    ResultPackageInterface getResultPackage()
                                            throws TransportException,
                                                   java.lang.UnsupportedOperationException

  This method is not supported by the channel transport and unconditionally throws the UnsupportedOperationException listed below.

  Specified by:
    `getResultPackage` in interface `TransportInterface`
  Returns:
    `ResultPackageInterface` The existing result package to browse.
  Throws:
    `java.lang.UnsupportedOperationException` - Retrieve is not supported by the channel transport.
    `TransportException` - If the transport encounters an error retrieving the package .

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.